<?php
/*
Odyssey view file
Filename must be like "view_sectionName_viewName.php"
Reference to controller variables must be in form $this->varName
*/

global $langID;

$section = "users";
$sectionID = $system->getTableSectionID($section);
if(empty($this->login)){
	echo $custom->mainHeader("Περιοχή μελών", "Εισάγετε τα στοιχεία σας για να συνδεθείτε", 1);
	$messages->printSystemMessages();
	?>

<div style="text-align:center; padding-top:40px">
	<img src="images/login.png" width="79" height="90" alt="login">
</div>
<form action="index.php" method="post" name="loginForm" autocomplete="off">
	<table class="formTable">
		<tr>
			<td class="formLabel"><?php echo t('Όνομα χρήστη');?></td>
			<td><input name="enteredUserUsername" type="text" class="textbox"></td>
		</tr>
		<tr>
			<td class="formLabel"><?php echo t('Κωδικός πρόσβασης');?></td>
			<td><input name="enteredUserPassword" type="password" class="textbox"></td>
		</tr>
		<tr>
			<td><input type="hidden" name="section" value="users"><input type="hidden" name="view" value="login"></td>
			<td><input class="formButton" name="submitedData" type="submit" value="<?php echo t('Σύνδεση');?>"></td>
		</tr>
	</table>
				<div style="border-top:1px solid silver; text-align:right; margin-top:30px;">
				<div style="display:inline-block; text-align:left">
				<ul class="links_list">
					<li><a href="index.php?section=users&view=restore"><?php echo t("Ξέχασα τα στοιχεία σύνδεσης"); ?></a></li>
					<li><a href="index.php?section=users&view=register"><?php echo t("Δημιουργία νέου λογαριασμού"); ?></a></li>
				</ul>
				</div>
				</div>
</form>
<?php 
}else{
	echo $custom->mainHeader("Περιοχή μελών", "Επιτυχής σύνδεση", 1);
	$messages->printSystemMessages();
	?>
				<div style="border-top:1px solid silver; text-align:right; margin-top:30px;">
				<div style="display:inline-block; text-align:left">
				<?php if($this->login == 3){ ?>
				<script type="text/javascript">
				setTimeout(function(){
					document.location.href="<?php $sef->url("index.php?section=pages&view=render&id=11");?>";
				},5000);
				</script>
				<?php } ?>
				<ul class="links_list" style="line-height:35px;">
					<?php if($this->login == 3){ ?>
					<li><a href="<?php $sef->url("index.php?section=pages&view=render&id=11");?>"><?php echo t("Πίνακας διαχείρισης"); ?></a></li>
					<?php } ?>
				
					<li><a href="<?php $sef->url("index.php?section=users&view=profile");?>"><?php echo t("Επεξεργασία του profile σας"); ?></a></li>
					<li><a href="index.php"><?php echo t("Μετάβαση στην αρχική σελίδα"); ?></a></li>
					<li><a href="index.php?logout=1"><?php echo t("Αποσύνδεση"); ?></a></li>
				</ul>
				</div>
				</div>
<?php 
}
?>
	
